# Interface methods for submodule: Similarity2DTransform
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import Rigid2DTransformProxy as _Rigid2DTransformProxy


# Interface methods for class: Similarity2DTransform
class Similarity2DTransformProxy(_Rigid2DTransformProxy):
	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def GetNameOfClass(self):
		""""""
		...

	def SetScale(self, scale: float) -> None:
		""""""
		...

	def GetScale(self) -> float:
		""""""
		...

	def SetParameters(self, parameters) -> None:
		""""""
		...

	def GetParameters(self):
		""""""
		...

	def ComputeJacobianWithRespectToParameters(self, p: Sequence[float], jacobian) -> None:
		""""""
		...

	def SetIdentity(self) -> None:
		""""""
		...

	def CloneInverseTo(self, result) -> None:
		""""""
		...

	def GetInverse(self, inverse) -> bool:
		""""""
		...

	def GetInverseTransform(self):
		""""""
		...

	def CloneTo(self, result) -> None:
		""""""
		...

	@overload
	def SetMatrix(self, matrix) -> None:
		""""""
		...

	@overload
	def SetMatrix(self, matrix, tolerance: float) -> None:
		""""""
		...

